Bug 504023 - repo generation try to create repo for solaris channels
repo generation try to create repo for solaris channels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Steve Salevan
:
Depends On:
Blocks: 485807
  Show dependency treegraph
 
Reported: 2009-06-03 16:47 EDT by Justin Sherrill
Modified: 2009-09-10 14:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-06-03 16:47:28 EDT
if you create a solaris channel, it tries to build the yum repo for it.  Eventually it fails and you'll see:

INFO   | jvm 1    | 2009/06/03 16:42:21 | 2009-06-03 16:42:21,080 [Thread-10] ERROR com.redhat.rhn.taskomatic.task.ChannelRepodata - java.lang.NullPointerException

and the repo queue entries never are cleared.
Comment 4 Steve Salevan 2009-06-17 16:44:49 EDT
VERIFIED on 6/12 build.
Comment 5 Milan Zázrivec 2009-08-09 13:02:05 EDT
Verified in stage -> RELEASE_PENDING.
Comment 6 Brandon Perkins 2009-09-10 14:41:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.